package com.sf._01_包装类;

public class Test3 {
    public static void main(String[] args) {
        /**
         * 通过键盘录入方式录入姓名年龄
         * 如果姓名为空提醒姓名不能为空
         * 如果年龄为空提醒年龄不能为空
         */
//        Scanner scanner = new Scanner(System.in);
//        System.out.println("请录入姓名");
//        String name = scanner.nextLine();
//        System.out.println("请录入年龄");
        String name = null;
        Integer age = null;
        if(name == null){
            System.out.println("姓名为空");
        }
        // 包装类是可以做判断是否为null
        if (age == null){
            System.out.println("年龄不能为空");
        }
    }
}
